Admin Update Section
curl --request PATCH \
--url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections/{section_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"attributes": {
"access_rule_id": "<string>",
"meta": {},
"position": 1073741823,
"settings": {},
"title": "<string>",
"visible": true
},
"type": "sections"
}
}
'import requests
url = "https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections/{section_id}"
payload = { "data": {
"attributes": {
"access_rule_id": "<string>",
"meta": {},
"position": 1073741823,
"settings": {},
"title": "<string>",
"visible": True
},
"type": "sections"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
attributes: {
access_rule_id: '<string>',
meta: {},
position: 1073741823,
settings: {},
title: '<string>',
visible: true
},
type: 'sections'
}
})
};
fetch('https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/pages/{page_id}/sections/{section_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"access_rule_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"meta": {},
"model_id": "<string>",
"model_type": "<string>",
"page_id": "<string>",
"position": 123,
"settings": {},
"title": "<string>",
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"visible": true
},
"id": "<string>",
"type": "sections"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}pages-admin
Admin Update Section
Partial update of a section. type, model_type, model_id are immutable.
PATCH
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
pages
/
{page_id}
/
sections
/
{section_id}
Admin Update Section
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
⌘I